Bug 488837 - modesetting failure - wrong mode when starting X
modesetting failure - wrong mode when starting X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_Mobile Intel® GM45 Express Chipset
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 16:38 EST by Chuck Ebbert
Modified: 2010-04-26 17:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 17:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (59.26 KB, text/plain)
2009-03-05 16:39 EST, Chuck Ebbert
no flags Details
Xorg log file from session with modesetting (40.86 KB, text/plain)
2009-07-11 23:24 EDT, Aram Agajanian
no flags Details

  None (edit)
Description Chuck Ebbert 2009-03-05 16:38:44 EST
Description of problem:
System boots in correct mode with kernel modesetting then switches to 86Hz refresh rate. Everything is double-height.

Version-Release number of selected component (if applicable):
kernel 0.207
xorg-x11-drv-intel-2.6.0-13.fc11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2009-03-05 16:39:28 EST
Created attachment 334215 [details]
xorg log
Comment 2 Bug Zapper 2009-06-09 07:56:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Aram Agajanian 2009-07-11 23:24:15 EDT
Created attachment 351370 [details]
Xorg log file from session with modesetting 

I am running F11 on a Dell Optiplex 960 with an Intel Q45 graphics controller.  

If I boot with the nomodeset parameter, the system works OK.

If I boot without the nomodeset parameter, the graphical boot progress is displayed correctly.  However, the next screen that should allow me to select a user never appears.  Instead, the monitor has a message "signal out of range".  If I press C-A-F2 to get to a virtual console, that is visible.

I do not have any xorg.conf file.
Comment 5 Matěj Cepl 2009-11-05 13:22:33 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Adam Jackson 2010-04-26 17:48:32 EDT
Ancient bug, closing, I assume this is working now.

Note You need to log in before you can comment on or make changes to this bug.